package com.platform.modules.live.service;

import com.baomidou.mybatisplus.service.IService;
import com.platform.modules.live.entity.LiveCasterEntity;

import java.io.Serializable;

/**
 * 导播台信息表
 * 
 * @author TROY
 * @email 
 * @date 2019-01-20 16:33:33
 */
public interface LiveCasterService extends IService<LiveCasterEntity> {

	void save(LiveCasterEntity liveCaster);

	void update(LiveCasterEntity liveCaster);

	void delete(Integer id);

	void deleteBatch(Integer[] ids);

	LiveCasterEntity selectByAppNameAndStreamName(String appName, String streamName);

	LiveCasterEntity selectByCasterId(String casterId);
}
